<style>
    div#top {
        display: grid;
        gap: 12px;
        grid-template-columns: repeat(4, 170px);
    }

    div.bottom {
        display: grid;
        background: var(--background);
        box-shadow: var(--secondary-shadow);
        border-radius: var(--medium-br);

        cursor: pointer;
    }

    span {
        padding: 4px;
        text-align: center;
    }

    img {
        width: 170px;
        height: 170px;
        object-fit: cover;

        border-radius: var(--medium-br)  var(--medium-br) 0 0;
    }
</style>

<script>
    import * as config from '../../../config.json';

    export let currentSong;
    export let rootAudio;

    const changeSong = song => {
        rootAudio.src = song.mp3.toString();
        rootAudio.time = 0;
        currentSong = song;
    }
</script>

<div id="top">
    {#each config.images as song}
        <div class="bottom" on:click="{() => changeSong(song)}">
            <img src={song.src} alt="{song.name}">
            <span>{song.name}</span>
        </div>
    {/each}
</div>